Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 604074 - app-portage/gentoolkit-0.3.2-r1: new revdep-rebuild: false positive !!! Broken orphaned files
Summary: app-portage/gentoolkit-0.3.2-r1: new revdep-rebuild: false positive !!! Broke...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-29 20:12 UTC by Yarda
Modified: 2017-02-17 20:55 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Content of /etc/revdep-rebuild (revdep-rebuild.tar.gz,1.31 KB, application/x-gzip)
2016-12-30 11:15 UTC, Yarda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yarda 2016-12-29 20:12:20 UTC
# revdep-rebuild -i
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Collecting system binaries and libraries
 * Checking dynamic linking consistency
 * Assign files to packages
 !! Failed to read /var/db/pkg/x11-themes/vdr-channel-logos-0.2/CONTENTS
 !! Error was:'utf8' codec can't decode byte 0xea in position 1942: invalid continuation byte

 !!! Broken orphaned files: No installed package was found for the following:
        * /usr/lib64/gcc/mipsel-unknown-linux-uclibc/4.1.2/libgcc_s.so.1
        * /usr/lib64/virtualbox/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/solaris.amd64/VBoxEhciR3.so
        * /usr/lib64/virtualbox/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/linux.x86/VBoxPuelMain.so
        * /usr/lib64/virtualbox/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/solaris.x86/VBoxVRDP.so
        * /usr/lib64/gcc/mipsel-softfloat-linux-uclibc/4.1.2/libgfortran.so.1.0.0
        * /usr/lib64/virtualbox/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/linux.x86/VBoxEhciR3.so
        * /usr/lib64/gcc/mipsel-unknown-linux-uclibc/4.1.2/libgfortran.so.1.0.0
        * /usr/lib64/gcc/mipsel-softfloat-linux-uclibc/4.1.2/libgcc_s.so.1
        * /usr/lib64/gcc/mipsel-unknown-linux-uclibc/4.1.2/libstdc++.so.6.0.8
        * /usr/lib64/gcc/mipsel-softfloat-linux-uclibc/4.1.2/libstdc++.so.6.0.8
        * /usr/lib64/virtualbox/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/linux.x86/VBoxVRDP.so
        * /usr/lib64/virtualbox/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/solaris.amd64/VBoxVRDP.so
        * /usr/lib64/virtualbox/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/solaris.x86/VBoxEhciR3.so
        * /usr/lib64/virtualbox/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/solaris.x86/VBoxPuelMain.so
        * /usr/lib64/virtualbox/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/solaris.amd64/VBoxPuelMain.so

No problem with old revdep-rebuild, it doesn't complain.

# emerge --info
Portage 2.3.0 (python 2.7.12-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.4, glibc-2.22-r4, 4.4.26-gentoo x86_64)
=================================================================
System uname: Linux-4.4.26-gentoo-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_6400+-with-gentoo-2.3
KiB Mem:     8181412 total,    808160 free
KiB Swap:   17407996 total,  17334796 free
Timestamp of repository gentoo: Thu, 29 Dec 2016 09:15:02 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
ccache version 3.2.4 [enabled]
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.22.3_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.3.5-r3::gentoo, 3.4.5::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.6.3::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.23::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.7.4::gentoo, 4.9.3::gentoo, 4.9.4::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.europe.gentoo.org/gentoo-portage
    priority: -1000

fedora
    location: /var/lib/layman/fedora
    masters: gentoo
    priority: 0

steam-overlay
    location: /var/lib/layman/steam-overlay
    masters: gentoo
    priority: 1

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 2

Installed sets: @system
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=athlon64 -mtune=athlon64 -pipe -fstack-protector"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=athlon64 -mtune=athlon64 -pipe -fstack-protector"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org ftp://ftp.sh.cvut.cz/MIRRORS/gentoo/gentoo"
LANG="cs_CZ.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4 -l2.0"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnow 3dnowext 7zip X X509 a52 aac aalib acl acpi additions afterimage aio alsa amd64 amr amrnb amrwb apache2 apng artswrappersuid authfile auto-hinter bash-completion berkdb blender-game bluetooth branding bzip2 cairo ccache cdda cddb cdio cdr cdrom cdsound cgi chroot clamav clamd clang cli cmdsubmenu consolekit cracklib crypt cscope cuda cups custom-cflags custom-optimization cxx dbus declarative dedicated device-mapper dia directfb doc down-root dri dts dv dvb dvd dvdnav dvdr dynload emboss emerald enca encode exif extensions extra fam fat fbcon ffmpeg fftw firefox flac flash fontconfig fortran freetts ftp fts3 fuse g3dvl gallium games gbm gd gdbm gdu geoip gif glamor glitz glut gmp gpm graphics gstreamer gtk gudev harfbuzz hddtemp hpn humanities iconv icq icu ident iptv ipv6 irc jabber jadetex jamu java javafx javascript jit joystick jpeg kdrive kerberos kpathsea laptop lcms ldap libcaca libnotify libsamplerate lirc lm_sensors logrotate logwatch lzma lzo mad mainmenuhooks math mbrola md5sum mikmod minizip mmx mmxext mng mod modules mouse mozdevelop mp2 mp3 mp4 mpeg mpeg2 mpeg3 mplayer msn multilib multislot multiuser music mysql nas ncurses nls nptl nsplugin ntfs ntfsprogs nvidia nvram ogg opencl opengl openmp pam pango pcre pda pdf php pixbuf png policykit ppds pstricks publishers python qt3support qt4 rar rdesktop readline rss rtc rtsp samba sasl savedconfig science screen sdl seamonkey seccomp sensord session setup setup-plugin sip sipim slang smime sound sounds sox spell srt sse sse2 sse3 ssl startup-notification stream submenu subtitles subversion suid svg sysfs syslog system-cairo system-icu system-jpeg system-sqlite tcpd tex4ht theora threads threadsafe tiff timercmd timerinfo tk truetype ttxtsubs udev udisks unicode unsupported upnp upower usb uvm v4l2 vcd vdpau vdr vim-syntax vim-with-x vlc vnc volctrl vorbis wav wifi wmf wxwidgets wxwindows x264 xattr xcb xcomposite xetex xft xine xinerama xml xosd xplanet xpm xscreensaver xv xvid xvmc zip zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_core authn_dbd authn_dbm authn_default authn_file authz_core authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info lbmethod_byrequests lbmethod_bytraffic lbmethod_bybusyness lbmethod_heartbeat log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif slotmem_shm so socache_shmcb speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext sse sse2 sse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev keyboard joystick" KERNEL="linux" L10N="cs en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="cs en" LIRC_DEVICES="devinput" NETBEANS_MODULES="cnd dlight enterprise ergonomics groovy identity mobility php profiler ruby apisupport harness ide java nb websvccommon" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Brian Dolbec gentoo-dev 2016-12-29 23:50:18 UTC
Hmm, I'm interested in this error:

 !! Failed to read /var/db/pkg/x11-themes/vdr-channel-logos-0.2/CONTENTS
 !! Error was:'utf8' codec can't decode byte 0xea in position 1942: invalid continuation byte


Please attach the file it mentions so we can see about fixing that.

For the virtualbox ones, please list the contents of /etc/revdep-rebuild and in detail any files involved with virtualbox masks.

Also please test the 0.3.3 release from earlier today.  It fixed a number of revdep problems with masked directories being one of them.  There is a chance it will be fixed in that version.
Comment 2 Yarda 2016-12-30 11:14:34 UTC
(In reply to Brian Dolbec from comment #1)
> Hmm, I'm interested in this error:
> 
>  !! Failed to read /var/db/pkg/x11-themes/vdr-channel-logos-0.2/CONTENTS
>  !! Error was:'utf8' codec can't decode byte 0xea in position 1942: invalid
> continuation byte
> 
> Please attach the file it mentions so we can see about fixing that.

I filled this as another bug 604070.

> 
> For the virtualbox ones, please list the contents of /etc/revdep-rebuild and
> in detail any files involved with virtualbox masks.
> 
> Also please test the 0.3.3 release from earlier today.  It fixed a number of
> revdep problems with masked directories being one of them.  There is a
> chance it will be fixed in that version.

With 0.3.3 the virtualbox orphans seems to be fixed, but the following remains:

 !!! Broken orphaned files: No installed package was found for the following:
        * /usr/lib64/gcc/mipsel-unknown-linux-uclibc/4.1.2/libgcc_s.so.1
        * /usr/lib64/gcc/mipsel-softfloat-linux-uclibc/4.1.2/libgfortran.so.1.0.0
        * /usr/lib64/gcc/mipsel-unknown-linux-uclibc/4.1.2/libgfortran.so.1.0.0
        * /usr/lib64/gcc/mipsel-unknown-linux-uclibc/4.1.2/libstdc++.so.6.0.8
        * /usr/lib64/gcc/mipsel-softfloat-linux-uclibc/4.1.2/libstdc++.so.6.0.8
        * /usr/lib64/gcc/mipsel-softfloat-linux-uclibc/4.1.2/libgcc_s.so.1

There is nothing to emerge. Exiting.

Old revdep-rebuild doesn't complain. The above content were generated by 'crossdev'. Content of revdep-rebuild attached. It's probably bloated over time, but the crossdev dirs doesn't seem to be there. Maybe the crossdev dirs are hard-coded in old revdep-rebuild.
Comment 3 Yarda 2016-12-30 11:15:08 UTC
Created attachment 457970 [details]
Content of /etc/revdep-rebuild
Comment 4 Norman Shulman 2017-01-03 18:29:07 UTC
Seems the new revdep-rebuild doesn't deal with a crossdev environment:

 !!! Broken orphaned files: No installed package was found for the following:
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.4/libgomp.so.1.0.0
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.4/libasan.so.1.0.0
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.4/libstdc++.so.6.0.20
	* /opt/android-sdk-update-manager/tools/lib64/gles_mesa/libGL.so.1
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.3/libitm.so.1.0.0
	* /opt/android-sdk-update-manager/tools/lib64/gles_mesa/libGL.so
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.4/libatomic.so.1.1.0
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.3/libgomp.so.1.0.0
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.3/libatomic.so.1.1.0
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.3/libubsan.so.0.0.0
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.3/libstdc++.so.6.0.20
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.4/libitm.so.1.0.0
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.3/libasan.so.1.0.0
	* /usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf/4.9.4/libubsan.so.0.0.0
Comment 5 Paul Varner (RETIRED) gentoo-dev 2017-02-16 15:03:28 UTC
There actually isn't any special code in revdep-rebuild.sh to handle the crossdev environment. I'm thinking the difference is actually due to it being based off of ldd instead of scanelf to find the breakage.

Can you please run 'revdep-rebuild.sh --ignore --pretend --verbose' and put the output from the revdep-rebuild environment section in the bug, so I can confirm?

If that is the case, then we will need to either mask the crossdev directories or figure out how we modify the directories that are searched in order to exclude them.
Comment 6 Yarda 2017-02-16 16:47:21 UTC
(In reply to Paul Varner from comment #5)
> There actually isn't any special code in revdep-rebuild.sh to handle the
> crossdev environment. I'm thinking the difference is actually due to it
> being based off of ldd instead of scanelf to find the breakage.
> 
> Can you please run 'revdep-rebuild.sh --ignore --pretend --verbose' and put
> the output from the revdep-rebuild environment section in the bug, so I can
> confirm?
> 
> If that is the case, then we will need to either mask the crossdev
> directories or figure out how we modify the directories that are searched in
> order to exclude them.

# revdep-rebuild.sh --ignore --pretend --verbose

 * Configuring search environment for revdep-rebuild
 * Temporary cache files are located in /var/cache/revdep-rebuild

revdep-rebuild environment:
SEARCH_DIRS="/bin
/lib
/lib32
/lib64
/opt/android-ndk
/opt/bin
/opt/cuda/bin
/opt/cuda/lib
/opt/cuda/lib64
/opt/cuda/nvvm/lib64
/opt/fmodex/api/lib
/opt/xxe
/opt/xxe/bin
/sbin
/usr/bin
/usr/games/bin
/usr/games/lib
/usr/games/lib32
/usr/games/lib64
/usr/lib
/usr/libexec
/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.4
/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.4/32
/usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3
/usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3/32
/usr/lib/gcc/x86_64-pc-linux-gnu/4.9.4
/usr/lib/gcc/x86_64-pc-linux-gnu/4.9.4/32
/usr/lib32
/usr/lib32/OpenCL/vendors/nvidia
/usr/lib32/opengl/nvidia/lib
/usr/lib64
/usr/lib64/fltk
/usr/lib64/hamlib
/usr/lib64/OpenCL/vendors/nvidia
/usr/lib64/opengl/nvidia/lib
/usr/lib64/qt4
/usr/local/lib
/usr/local/lib32
/usr/local/lib64
/usr/qt/3
/usr/qt/3/bin
/usr/qt/3/lib
/usr/qt/3/lib32
/usr/qt/3/lib64
/usr/sbin
/usr/x86_64-pc-linux-gnu/arm-unknown-linux-gnu/gcc-bin/4.2.4
/usr/x86_64-pc-linux-gnu/gcc-bin/4.9.4
/usr/x86_64-pc-linux-gnu/i686-pc-linux-gnu/gcc-bin/4.2.4
/usr/x86_64-pc-linux-gnu/mipsel-softfloat-linux-uclibc/gcc-bin/4.1.2
/usr/x86_64-pc-linux-gnu/mipsel-unknown-linux-uclibc/gcc-bin/4.1.2"
SEARCH_DIRS_MASK="/lib/modules
/lib64/modules
/opt/android-ndk
/opt/android-sdk-update-manager
/opt/icedtea-bin-3.1.0
/opt/icedtea-bin-7.2.6.8
/opt/oracle-jdk-bin-1.8.0.121
/usr/lib/seamonkey/components
/usr/lib64/opera
/usr/lib64/seamonkey
/usr/lib64/seamonkey/components
/usr/lib64/seamonkey-devel
/usr/lib64/virtualbox/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack"
LD_LIBRARY_MASK="libjava.so
libjawt.so
libjvm.so
libodbcinst.so
libodbc.so
/usr/lib/seamonkey/plugin-container
/usr/lib64/seamonkey/plugin-container"
PORTAGE_ROOT="/"
EMERGE_OPTIONS=""
ORDER_PKGS="1"
FULL_LD_PATH="1"

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 100% ]                 

 * Dynamic linking on your system is consistent... All done.
Comment 7 Norman Shulman 2017-02-16 18:01:14 UTC
revdep-rebuild environment:
SEARCH_DIRS="/bin
/lib
/lib32
/lib64
/opt/Adobe/Reader9/Reader/intellinux/lib
/opt/bin
/sbin
/usr/bin
/usr/lib
/usr/lib32
/usr/lib32/OpenCL/vendors/nvidia
/usr/lib32/opengl/nvidia/lib
/usr/lib32/qt4
/usr/lib64
/usr/lib64/OpenCL/vendors/nvidia
/usr/lib64/opengl/nvidia/lib
/usr/lib64/qt4
/usr/libexec
/usr/lib/gcc/x86_64-pc-linux-gnu/4.9.4
/usr/lib/gcc/x86_64-pc-linux-gnu/4.9.4/32
/usr/lib/gcc/x86_64-pc-linux-gnu/5.4.0
/usr/lib/gcc/x86_64-pc-linux-gnu/5.4.0/32
/usr/local/lib
/usr/local/lib32
/usr/local/lib64
/usr/sbin
/usr/x86_64-pc-linux-gnu/armv7a-hardfloat-linux-gnueabihf/gcc-bin/4.9.4
/usr/x86_64-pc-linux-gnu/gcc-bin/5.4.0"
SEARCH_DIRS_MASK="/lib64/modules
/lib/modules
/opt/android-sdk-update-manager
/opt/icedtea-bin-3.3.0
/opt/icedtea-bin-7.2.6.8
/usr/armv7a-hardfloat-linux-gnueabihf"
LD_LIBRARY_MASK="libjava.so
libjawt.so
libjvm.so
libodbcinst.so
libodbc.so"
PORTAGE_ROOT="/"
EMERGE_OPTIONS=""
ORDER_PKGS="1"
FULL_LD_PATH="1"
Comment 8 Paul Varner (RETIRED) gentoo-dev 2017-02-16 18:50:05 UTC
Thanks, that does confirm that revdep-rebuild.sh is working because of using ldd, the immediate solution is to add the crossdev directories to SEARCH_DIRS_MASK.

This can be done by a user by adding the to make.conf or creating a file in /etc/revdep-rebuild that contains the paths to ignore.

The long term solution is to have the crossdev ebuild create the /etc/revdep-rebuild file when installing the package.
Comment 9 Yarda 2017-02-16 19:07:49 UTC
(In reply to Paul Varner from comment #8)
> Thanks, that does confirm that revdep-rebuild.sh is working because of using
> ldd, the immediate solution is to add the crossdev directories to
> SEARCH_DIRS_MASK.
> 
> This can be done by a user by adding the to make.conf or creating a file in
> /etc/revdep-rebuild that contains the paths to ignore.
> 
> The long term solution is to have the crossdev ebuild create the
> /etc/revdep-rebuild file when installing the package.

Thanks for info, it seems the error is harmless. Thus custom file in /etc/revdep-rebuild or just ignoring the error in short term should work. In long term it needs to be addressed. Fixing the crossdev to install /etc/revdep-rebuild is probably (according to my opinion) the most clean solution that will not introduce non-system ad hoc hacks. Well, it will not cover existing crossdev environments, but it's probably acceptable.
Comment 10 Norman Shulman 2017-02-16 20:45:47 UTC
(In reply to Paul Varner from comment #8)
> Thanks, that does confirm that revdep-rebuild.sh is working because of using
> ldd, the immediate solution is to add the crossdev directories to
> SEARCH_DIRS_MASK.
> 
> This can be done by a user by adding the to make.conf or creating a file in
> /etc/revdep-rebuild that contains the paths to ignore.
> 
> The long term solution is to have the crossdev ebuild create the
> /etc/revdep-rebuild file when installing the package.

Looks like the crossdev ebuild already created such a file:

$ cat /etc/revdep-rebuild/05cross-armv7a-hardfloat-linux-gnueabihf 
SEARCH_DIRS_MASK=/usr/armv7a-hardfloat-linux-gnueabihf

But it doesn't contain

/usr/x86_64-pc-linux-gnu/armv7a-hardfloat-linux-gnueabihf

I'll add it.

Thanks.
Comment 11 Norman Shulman 2017-02-17 20:55:48 UTC
Also added

/usr/lib64/gcc/armv7a-hardfloat-linux-gnueabihf